from mysql.connector import Error as mysqlError

from app.messages.api_responses import product_responses as response
import app.messages.api_errors as errors

from app.db import product_db

def product_list(page: int):
    try:
        result_products = product_db.fetch_products(page)

        if result_products is None:
            return response.SCROLLED_TOO_FAR

        result_obj = []
        for product in result_products:
            mid_result = {
                "id": product.product_id,
                "seller": product.seller_id,
                "name": product.name,
                "price": product.price,
            }

            result_obj.append(mid_result)

        return result_obj, 200

    except mysqlError as e:
        errors.UNKNOWN_DATABASE_ERROR(e)
